import config from '../base/config.mjs'
import Parent from '../base/server.mjs'
import StaticRoutes from '../base/static_routes.mjs'
import ServeHandler from './serve.mjs'

export default class Server extends Parent {
  init() {
    super.init()
    let localUtil = new this.core.sc.Util(import.meta.url)

    delete this.flaskaOptions.appendHeaders['Content-Security-Policy']
    this.flaskaOptions.nonce = []

    this.routes = {
      static: new StaticRoutes(),
    }
    this.routes.serve = new ServeHandler({
      root: localUtil.getPathFromRoot('../public'),
      version: this.core.app.running,
      frontend: config.get('frontend:url'),
    })
  }

  runCreateDatabase() {
    return {}
  }
}
